Page MenuHomePhabricator

Send regular overview about Wikimedia development policies
Closed, ResolvedPublic

Description

TechCom is the owner of the Wikimedia development policy which includes several other items.

It'd be really good if TechCom could get into the habit of sending a regular (maybe every six months?) reminder to Wikitech-l welcoming new contributors and with an easy entry level about the current state of things.

Possible things to mention:

  • Conduct – "Everyone involved in Wikimedia software development is required to follow our Code of Conduct. If you cannot or will not follow the Code, you are not welcome here."
  • Security – "As a Wikimedia developer, you have a responsibility to write secure code in a style that is easy to review and audit. You must follow the security guidance and be aware of changes in the environment."
  • Deprecation and backwards-compatibility – "All developers of Wikimedia software should follow the deprecation process unless there are exceptional reasons not so to do. Third party users of our software are important stakeholders, and their needs should be respected. Some areas, such as the APIs, have different approaches and public commitments to backwards-compatibility, and you should take that into account."
  • Wikimedia deployment – "If your code is going to reach Wikimedia production, whether in MediaWiki core, an extension, as a config change, or via some other mechanism, you have a duty to be aware of the Wikimedia deployment concerns."
  • Coding conventions – "Your code should always try to follow the appropriate coding conventions for its language and circumstance. Consistency between projects means production issues, performance concerns, and urgent tasks can be dealt with quickly and easily by as large a team as possible."
  • Architectural compliance – "You should always build, maintain, and update code to be in line with the existing architecture of MediaWiki, or, if you see a good reason to change this, through the Requests for Comment process."
    • It might be good to set out some long-term architectural changes happening, like getting MediaWiki and extension code ready for PHP7, replacing configuration with static json files, moving the front-end slowly to MVC based on OOjs UI, support for multi-data centre operation of MediaWiki, moving towards dependency injection, ….

This wouldn't replace good documentation on e.g. https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker but visibility is always good to highlight.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2017, 9:13 PM
daniel moved this task from Inbox to Backlog on the TechCom board.Jan 3 2018, 9:31 PM
Krinkle triaged this task as Medium priority.Jan 3 2018, 9:31 PM
Qgil moved this task from To triage to Team radar on the Developer-Advocacy board.
Jdforrester-WMF renamed this task from ArchCom should issue a regular welcome/reminder e-mail to wikitech-l/etc. about development policies to TechCom should issue a regular welcome/reminder e-mail to wikitech-l/etc. about development policies.Jan 4 2018, 4:51 PM
Jdforrester-WMF updated the task description. (Show Details)
Krinkle lowered the priority of this task from Medium to Low.Mar 22 2018, 1:59 AM
Aklapper removed Catrope as the assignee of this task.Jun 19 2020, 4:28 PM
Aklapper added a subscriber: Catrope.

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

Krinkle renamed this task from TechCom should issue a regular welcome/reminder e-mail to wikitech-l/etc. about development policies to Send regular welcome and reminder about Wikimedia development policies.Jun 23 2020, 3:43 PM
Krinkle claimed this task.
Krinkle moved this task from Backlog to Inbox on the TechCom board.
Krinkle updated the task description. (Show Details)
Krinkle renamed this task from Send regular welcome and reminder about Wikimedia development policies to Send regular overview about Wikimedia development policies.Jun 23 2020, 3:46 PM
daniel moved this task from Inbox to In progress on the TechCom board.Jun 29 2020, 5:25 PM
Krinkle updated the task description. (Show Details)Jul 17 2020, 11:01 PM
Krinkle updated the task description. (Show Details)Jul 21 2020, 3:40 PM
Krinkle closed this task as Resolved.Jul 22 2020, 4:14 PM
bd808 awarded a token.Jul 22 2020, 4:16 PM